#
# spec file for package libsexy
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libsexy
Version:        0.1.11
Release:        lp152.4.6
Summary:        Extended Widgets for GTK+
License:        LGPL-2.1-or-later
Group:          Development/Libraries/GNOME
Url:            http://www.chipx86.com/wiki/Libsexy
Source:         %{name}-%{version}.tar.bz2
# Only for directory ownership check:
BuildRequires:  gtk-doc
BuildRequires:  gtk2-devel
BuildRequires:  iso-codes-devel
BuildRequires:  libtool
BuildRequires:  libxml2-devel
BuildRequires:  popt-devel
BuildRequires:  update-desktop-files
Requires:       iso-codes

%description
A set of extensions on top of GTK+ widgets, to provide extra
functionality.

%package -n libsexy2
Summary:        Extended Widgets for GTK+
Group:          System/Libraries
Obsoletes:      libsexy < %{version}-%{release}
Provides:       libsexy = %{version}-%{release}

%description -n libsexy2
A set of extensions on top of GTK+ widgets, to provide extra
functionality.

%package devel
Summary:        Extended Widgets for GTK+
Group:          Development/Libraries/GNOME
Requires:       gtk2-devel
Requires:       libsexy2 = %{version}

%description devel
A set of extensions on top of GTK+ widgets, to provide extra
functionality.

%package doc
Summary:        Documentation for the GTK+ extended widgets
Group:          Documentation/HTML

%description doc
A set of extensions on top of GTK+ widgets, to provide extra
functionality.

%prep
%setup -q

%build
autoreconf -f -i
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post   -n libsexy2 -p /sbin/ldconfig
%postun -n libsexy2 -p /sbin/ldconfig

%files -n libsexy2
%license COPYING
%doc AUTHORS ChangeLog NEWS
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files doc
%{_datadir}/gtk-doc/html/*

%changelog
* Mon Mar  5 2018 jengelh@inai.de
- Implement shared library packaging guideline. Remove ineffective
  - -with-pic. Stop shipping README which is size 0.
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Fri Mar  1 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Wed Nov 23 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Sat Feb 28 2009 crrodriguez@suse.de
- remove  libtool "la" files
- fix -devel package dependencies
* Fri Apr  6 2007 sbrabec@suse.cz
- Updated to version 0.1.11:
  * API additions, improvements and bug fixes.
  * Devhelp documentation.
  * See NEWS for more.
* Wed Feb  7 2007 sbrabec@suse.cz
- Do not build unusable static libraries (#238552).
* Tue Dec 12 2006 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Fri Jan 27 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 25 2006 sbrabec@suse.cz
- Build with iso-codes.
* Wed Jan 18 2006 dobey@suse.de
- Add -fno-strict-aliasing to CFLAGS
- Fix Requires for libsexy-devel to depend on gtk2-devel
* Thu Jan 12 2006 dobey@suse.de
- Import libsexy into autobuild for notifications
